YCbCr420ToBGR_709HDTV
Color Model Conversion

YCbCr420_709HDTV to BGR color conversion. More...

## Functions

NppStatus | nppiYCbCr420ToBGR_709HDTV_8u_P3C4R (const Npp8u *const pSrc[3], int rSrcStep[3], Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp8u nAval)
| 3 channel 8-bit unsigned planar YCbCr420 to 4 channel 8-bit unsigned packed BGR_709HDTV color conversion with constant alpha. More...

## Detailed Description

YCbCr420_709HDTV to BGR color conversion.

## Function Documentation

NppStatus nppiYCbCr420ToBGR_709HDTV_8u_P3C4R | ( | const Npp8u *const | pSrc[3],
|  | int | rSrcStep[3],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp8u | nAval
| ) |  |

3 channel 8-bit unsigned planar YCbCr420 to 4 channel 8-bit unsigned packed BGR_709HDTV color conversion with constant alpha.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  rSrcStep | Source-Planar-Image Line Step Array.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nAval | 8-bit unsigned alpha constant.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2017 NVIDIA Corporation